Taiga
API ReferencePre EncounterPatientsV1

Search providers

Searches for referring providers that match the query parameters. The search is case-insensitive, supports fuzzy matching, and matches against provider name and NPI. The search criteria must be an alphanumeric string, and the search is limited to the first 20 results.

GET
/patients/v1/search_providers

Authorization

BearerAuth
AuthorizationBearer <token>

Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

In: header

Query Parameters

search_criteria*string

Response Body

application/json

curl -X GET "https://example.com/patients/v1/search_providers?search_criteria=string"
[  {    "name": {      "family": "string",      "given": [        "string"      ],      "use": "USUAL",      "period": {        "start": "2019-08-24",        "end": "2019-08-24"      },      "suffix": "string"    },    "type": "PRIMARY",    "npi": "string",    "telecoms": [      {        "value": "string",        "use": "HOME",        "period": {          "start": "2019-08-24",          "end": "2019-08-24"        }      }    ],    "addresses": [      {        "use": "HOME",        "line": [          "string"        ],        "city": "string",        "state": "string",        "postal_code": "string",        "country": "string",        "county": "string",        "period": {          "start": "2019-08-24",          "end": "2019-08-24"        }      }    ],    "period": {      "start": "2019-08-24",      "end": "2019-08-24"    },    "canonical_id": "string",    "fax": "string",    "other_fax_numbers": [      "string"    ],    "emails": [      "string"    ],    "service_facilities": [      {        "service_facility_id": "string"      }    ]  }]